<?php

namespace Daylight\Core\Models\Enums;

enum CustomerType: string
{
    case PERSONAL = 'personal';

    case COMPANY = 'company';

    public function label(): string
    {
        return match ($this) {
            self::PERSONAL => __('daylight::general.customerTypes.individual'),
            self::COMPANY => __('daylight::general.customerTypes.company'),
        };
    }
}
